Loading...
Searching...
No Matches
L4::Ipc::Out< T > Struct Template Reference

Mark an argument as a output value in an RPC signature. More...

Collaboration diagram for L4::Ipc::Out< T >:

## Detailed Description

template<typename T>
struct L4::Ipc::Out< T >

Mark an argument as a output value in an RPC signature.

Template Parameters

  T | The original type of the argument.

Note
  The use of Out<> is usually not needed, because typical out-put data types in C++ (pointers to non-const objects or non-const references are interpreted as output values anyway. However, there are some data types, such as returned capabilities that can be marked as such by using Out<>.

Definition at line 31 of file ipc_types.

The documentation for this struct was generated from the following file:

- l4/sys/cxx/ipc_types